@echo off

set PFAD=%cd%
set TEMP=%cd%\Temp
set DATA=%cd%\Data_Files

del %TEMP%\*.* /Q

copy %PFAD%\BIOS_Orig.bin %TEMP%\BIOS_Blank.bin
copy %DATA%\CBROM198fixed.exe %TEMP%\CBROM198fixed.exe
copy %DATA%\A.txt %TEMP%\A.txt
copy %DATA%\B.txt %TEMP%\B.txt
copy %DATA%\C.txt %TEMP%\C.txt


cd %TEMP%
cls

echo Releasing all parts in reverse order from the ma78g-ds3h R2.0 BIOS using CBROM v1.98 to create a 'blank' bios file
echo.


echo 24. LOGO BitMap       4B30Ch(300.76K)  08728h(33.79K)  am2_ds3.bmp
CBROM198fixed.exe BIOS_Blank.bin /logo release
echo.
echo 23. 2 PE32 in MB       006F3h(1.74K)   00742h(1.81K)   HT32GATE.BIN
CBROM198fixed.exe BIOS_Blank.bin /2pe32 release
echo.
echo 22. HTINIT             05381h(20.88K)  053B0h(20.92K)  HT.DLL
CBROM198fixed.exe BIOS_Blank.bin /htinit release
echo.
echo 21. MINIT             1A1B1h(104.42K)  1A1DDh(104.47K) MEMINIT.BIN
CBROM198fixed.exe BIOS_Blank.bin /minit release
echo.
echo  20. GV3                09453h(37.08K)  032A4h(12.66K)  AGESACPU.ROM
CBROM198fixed.exe BIOS_Blank.bin /GV3 release
echo.
echo  19. OEM0 CODE         03056h(12.08K)   022F4h(8.74K)   SBF.BIN
CBROM198fixed.exe BIOS_Blank.bin /oem0 release
echo.
echo 18. LOGO1 ROM         00B64h(2.85K)    00520h(1.28K)   DBIOS.BMP
CBROM198fixed.exe BIOS_Blank.bin /logo1 release
echo.
echo 17. PCI ROM[C]        10000h(64.00K)   0939Fh(36.91K)  rtegrom.lom
CBROM198fixed.exe BIOS_Blank.bin /pci release < C.txt
echo.
echo 16. OEM3 CODE         0C000h(48.00K)   0704Ch(28.07K)  ahci.DLL
CBROM198fixed.exe BIOS_Blank.bin /oem3 release
echo.
echo 15. PCI ROM[B]        08000h(32.00K)   07A4Ah(30.57K)  ahci.BIN
CBROM198fixed.exe BIOS_Blank.bin /pci release < B.txt
echo.
echo 14. PCI ROM[A]        0E400h(57.00K)   08FA3h(35.91K)  SATARAID.BIN
CBROM198fixed.exe BIOS_Blank.bin /pci release < A.txt
echo.
echo 13. OEM1 CODE         0D800h(54.00K)   084DBh(33.21K)  UI.BIN
CBROM198fixed.exe BIOS_Blank.bin /oem1 release
echo.
echo 12. OEM6 CODE         0EA00h(58.50K)   094D0h(37.20K)  VGA_HDMI.BIN
CBROM198fixed.exe BIOS_Blank.bin /oem6 release
echo.
echo 11. VGA ROM[1]        0EA00h(58.50K)   094CFh(37.20K)  VGA_DVI.BIN
CBROM198fixed.exe BIOS_Blank.bin /vga release
echo.
echo 10. GROUP ROM[ 0]     074F0h(29.23K)   02E23h(11.53K)  _EN_CODE.BIN
CBROM198fixed.exe BIOS_Blank.bin /group0 release
echo.
echo  9. GROUP ROM[24]     0F630h(61.55K)   0015Ch(0.34K)   t2group.bin
CBROM198fixed.exe BIOS_Blank.bin /group24 release
echo.
echo  8. GROUP ROM[23]     0F630h(61.55K)   0015Bh(0.34K)   t1group.bin
CBROM198fixed.exe BIOS_Blank.bin /group23 release
echo.
echo  7. GROUP ROM[22]     0F630h(61.55K)   005EEh(1.48K)   tgroup.bin
CBROM198fixed.exe BIOS_Blank.bin /group22 release
echo.
echo  6. YGROUP ROM        0B100h(44.25K)   055BFh(21.44K)  awardeyt.rom
CBROM198fixed.exe BIOS_Blank.bin /ygroup release
echo.
echo  5. TSEG0              00330h(0.80K)   002A2h(0.66K)   y2group.bin
CBROM198fixed.exe BIOS_Blank.bin /tseg0 release
echo.
echo  4. GROUP ROM[20]     031C0h(12.44K)   02121h(8.28K)   ffgroup.bin
CBROM198fixed.exe BIOS_Blank.bin /group20 release
echo.
echo  3. GROUP ROM[18]     040B0h(16.17K)   02B39h(10.81K)  ggroup.bin
CBROM198fixed.exe BIOS_Blank.bin /group18 release
echo.
echo  2. ACPI table        06D80h(27.38K)   03248h(12.57K)  ACPITBL.BIN
CBROM198fixed.exe BIOS_Blank.bin /acpi release
echo.
echo  1. XGROUP CODE       0E260h(56.59K)   09D07h(39.26K)  awardext.rom
CBROM198fixed.exe BIOS_Blank.bin /xgroup release
echo.
echo.
echo. current content of 'blank' bios file
echo.
CBROM198fixed.exe BIOS_Blank.bin /D

echo.
echo.
copy %TEMP%\BIOS_Blank.bin %PFAD%\BIOS_Blank.bin
del %TEMP%\*.* /Q

echo.
echo All done!!
echo.
echo.

cd..

pause
exit /b